{
  "name": "wpify/scoper",
  "description": "Composer plugin that scopes WordPress and WooCommerce dependencies for usage in WordPress plugins and themes.",
  "type": "composer-plugin",
  "autoload": {
    "psr-4": {
      "Wpify\\Scoper\\": "src/"
    }
  },
  "license": "GPL-2.0-or-later",
  "authors": [
    {
      "name": "Daniel Mejta",
      "email": "daniel@mejta.net"
    }
  ],
  "scripts": {
    "extract": "php ./scripts/extract-symbols.php"
  },
  "minimum-stability": "stable",
  "repositories": [
    {
      "type": "composer",
      "url": "https://wpackagist.org"
    }
  ],
  "require": {
    "composer-plugin-api": "^2.1",
    "humbug/php-scoper": "0.17.2",
    "jetbrains/phpstorm-stubs": "^2021.3",
    "woocommerce/action-scheduler": "^3.4"
  },
  "require-dev": {
    "composer/composer": "^2.2",
    "johnpbloch/wordpress": "^5.9",
    "wpackagist-plugin/woocommerce": "^6.3",
    "nikic/php-parser": "^4.13",
    "yahnis-elsts/plugin-update-checker": "^4.11"
  },
  "extra": {
    "class": "Wpify\\Scoper\\Plugin",
    "wordpress-install-dir": "sources/wordpress",
    "installer-paths": {
      "sources/plugin-{$name}/": [
        "type:wordpress-plugin"
      ],
      "sources/theme-{$name}/": [
        "type:wordpress-theme"
      ]
    },
    "textdomain": {
      "wpify-custom-fields": "some-new-textdomain"
    }
  }
}
